## gphoto2-cffi 0.4.3~a1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/chdkptppy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/chdkptppy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/chdkptppy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/chdkptppy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
enum34

## gphoto2-cffi 0.2

=== debian/changelog ===
gphoto2-cffi (0.2-2) unstable; urgency=low

  * Correct the copyright text to LGPL3 only

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 28 Jun 2015 13:45:12 +0300

gphoto2-cffi (0.2-1) unstable; urgency=low

  * Initial release

 -- Aigars Mahinovs <aigarius@debian.org>  Thu, 25 Jun 2015 20:54:33 +0300

=== debian/control ===
Source: gphoto2-cffi
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python3-setuptools, python-enum34, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9), dh-python, python-cffi, python3-cffi, python-dev, python3-dev, libgphoto2-dev
Standards-Version: 3.9.6

Package: python-gphoto2
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.

Package: python3-gphoto2
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.
 .
 Python3 version.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.2 at
# Thu, 09 Oct 2014 22:55:33 +0300
PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_NAME=gphoto2
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build
	rm -rf gphoto2/__pycache__

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-gphoto2; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-gphoto2; \
	done
	rm -rf $(CURDIR)/debian/python*-gphoto2/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*-gphoto2/usr/lib/python3.*

## gphoto2-cffi 0.3~a1

=== debian/changelog ===
gphoto2-cffi (0.3~a1-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 19:41:59 +0530

gphoto2-cffi (0.3~a1-1) unstable; urgency=low

  * Updated upstream version merging changes
  * Binary package renamed following upstream
  * Remove unused code
  * Thanks to Dmitry Shachnev <mitya57@debian.org> and Damon Lynch for help

 -- Aigars Mahinovs <aigarius@debian.org>  Mon, 04 Apr 2016 21:28:13 +0100

gphoto2-cffi (0.2-3) unstable; urgency=low

  * Python 3.5 support (Closes: #793328)

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 25 Oct 2015 09:11:23 +0300

=== debian/control ===
Source: gphoto2-cffi
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python3-setuptools, python-enum34, python-all (>= 2.6.6-3), python3-all, debhelper (>= 9), dh-python, python-cffi, python3-cffi, python-all-dev, python3-all-dev, libgphoto2-dev
Standards-Version: 3.9.6

Package: python-gphoto2cffi
Architecture: any
Replaces: python-gphoto2 (<<0.3~a1-1~)
Conflicts: python-gphoto2 (<<0.3~a1-1~)
Provides: python-gphoto2
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.

Package: python3-gphoto2cffi
Architecture: any
Replaces: python3-gphoto2 (<<0.3~a1-1~)
Conflicts: python3-gphoto2 (<<0.3~a1-1~)
Provides: python3-gphoto2
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.
 .
 Python3 version.

## gphoto2-cffi 0.4.3~a1

=== debian/changelog ===
gphoto2-cffi (0.4.3~a1-1.1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 21:58:35 +0200

gphoto2-cffi (0.4.3~a1-1.1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:41 +0200

gphoto2-cffi (0.4.3~a1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936643, #916616

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 17:24:00 -0400

gphoto2-cffi (0.4.3~a1-1) unstable; urgency=low

  * Updated upstream version

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 02 Sep 2018 15:18:13 +0100

gphoto2-cffi (0.3~a1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add upstream fix to unbreak python3-gphoto2cffi. (Closes: #896238)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Aug 2018 22:41:25 +0300

=== debian/control ===
Source: gphoto2-cffi
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, debhelper (>= 10), dh-python, python3-cffi, python3-all-dev, libgphoto2-dev
Standards-Version: 4.2.1

Package: python3-gphoto2cffi
Architecture: any
Replaces: python3-gphoto2 (<<0.3~a1-1~)
Conflicts: python3-gphoto2 (<<0.3~a1-1~)
Provides: python3-gphoto2
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.
 .
 Python3 version.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gphoto2-cffi-$1\.tar\.gz/ \
  https://github.com/jbaiter/gphoto2-cffi/tags .*/v?(\d\S+)\.tar\.gz

## gphoto2-cffi 0.4.3~git20170708.2876d15

=== debian/changelog ===
gphoto2-cffi (0.4.3~git20170708.2876d15-1) unstable; urgency=medium

  * Team upload.
  * Attempt to work around bug #1091277 which prevents build on armhf
  * Migrate to Debian Python Team with maintainer consent
  * Add Homepage
  * Drop redundant addition about Python 3 in description
  * d/watch:
     - Version 5
     - Fetch exactly what is packaged and raise signal for new commits
  * Remove empty debian/patches/series
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Nov 2025 16:04:30 +0100

=== debian/control ===
Source: gphoto2-cffi
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Aigars Mahinovs <aigarius@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 python3-setuptools,
 python3-all,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-cffi,
 python3-all-dev,
 libgphoto2-dev,
Vcs-Browser: https://salsa.debian.org/python-team/packages/gphoto2-cffi
Vcs-Git: https://salsa.debian.org/python-team/packages/gphoto2-cffi.git
Homepage: https://github.com/jbaiter/gphoto2-cffi

Package: python3-gphoto2cffi
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 python3-gphoto2,
Description: GPhoto2 bindings with simpler API
 Python bindings for libgphoto2 with an interface that strives to be idiomatic.
 In contrast to other bindings for Python, gphoto2-cffi hides most of the
 lower-level abstractions and reduces the API surface while still offering
 access to most of the library's features.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=gphoto2cffi
export PYBUILD_DISABLE=test

# Attempt to simply work around bug #1091277
export DEB_CFLAGS_MAINT_APPEND += -Wno-incompatible-pointer-types -Wno-discarded-qualifiers

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version:5

Source: https://github.com/jbaiter/gphoto2-cffi.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.4.3~git%cd.%h
